
function makeUITextView(x, y, width, height)
    --note: the next statement gets makes an instance (new) UI text view that you can use to make a GUI textbox
    uiTextView = objc.UITextView()
    vc.view:addSubview_(uiTextView)
    
    --?? no way to set a font on the text box?

    --objective-c has zero as the top of the screen, the opposite of Codea 
    --so setting a view's frame needs to take that into account
    textViewFrame = objc.rect(x, HEIGHT - y, width, height)
    uiTextView.frame = textViewFrame
    
    uiTextView.text = "Hello World."
    -- Apple's ObjC GUI objects like uiTextView allow lots of customization
    uiTextView.layer.cornerRadius = 18

    -- placeholder variable for what user types in the textbox
    typedText=""
    
    --create a delegate to work with the UITextView that will sense when changes are made to the textbox
    Delegate = objc.delegate("UITextViewDelegate")
    
    function Delegate:textViewShouldBeginEditing_(objTextView)
        -- replace with false to prevent editing textbox
        return true
    end
    
    function Delegate:textViewDidChange_(objTextView)
        print(objTextView.text)
    end
    
    -- set delegate to textView AFTER you've created the delegate above
    uiTextView.delegate = Delegate()
end
